ChangeSet 1.1318.4.7, 2003/06/16 16:43:23-07:00, greg@kroah.com

[PATCH] USB: fix up sparse warnings in ax8817x driver


 drivers/usb/net/ax8817x.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/net/ax8817x.c b/drivers/usb/net/ax8817x.c
--- a/drivers/usb/net/ax8817x.c	Wed Jun 18 11:15:08 2003
+++ b/drivers/usb/net/ax8817x.c	Wed Jun 18 11:15:08 2003
@@ -445,7 +445,7 @@
 		req->devreq.wIndex = cpu_to_le16(MII_BMSR);
 		req->devreq.wLength = cpu_to_le16(2);
 		req->data_size = 2;
-		(long) req->priv = 0;	/* This is the retry count */
+		req->priv = 0;	/* This is the retry count */
 		return 1;
 
 		/* Done reading BMSR */
@@ -948,7 +948,7 @@
 	write_mii_word(ax_info, phy_id, loc, val);
 }
 
-static int ax8817x_ethtool_ioctl(struct net_device *net, void *uaddr)
+static int ax8817x_ethtool_ioctl(struct net_device *net, void __user *uaddr)
 {
 	struct ax8817x_info *ax_info;
 	int cmd;
@@ -1056,7 +1056,7 @@
 
 	switch (cmd) {
 	case SIOCETHTOOL:
-		res = ax8817x_ethtool_ioctl(net, ifr->ifr_data);
+		res = ax8817x_ethtool_ioctl(net, (void __user *)ifr->ifr_data);
 		break;
 	case SIOCGMIIPHY:	/* Get address of PHY in use */
 	case SIOCGMIIREG:	/* Read from MII PHY register */
